Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 3 Jun 2013 14:12:10 +0000
From:      "C. L. Martinez" <carlopmart@gmail.com>
To:        freebsd-questions@freebsd.org
Subject:   Re: Disable build new pkg format in poudriere
Message-ID:  <CAEjQA5LsjrPvNG-WAu1i67H+16FmAy4BVg1S8jgjazT5zTvPOw@mail.gmail.com>
In-Reply-To: <koi6lc$ir6$1@ger.gmane.org>
References:  <CAEjQA5+4ui9gMc-yq5d9=nouLAKxtDNnMrtDzZoZrN=yVg6vPA@mail.gmail.com> <koi6lc$ir6$1@ger.gmane.org>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Mon, Jun 3, 2013 at 1:45 PM, Michael Powell <nightrecon@hotmail.com> wrote:
> C. L. Martinez wrote:
>
>> HI all,
>>
>>  I need to build some packages without using new pkg format. I would
>> like to accomplish this using poudriere, but is this possible?? Or do
>> I need to use another package builder??
>>
>>  I have tried to build rsync, but when I try to install, this error is
>>  returned:
>>
>> tar: +CONTENTS: Not found in archive
>> tar: Error exit delayed from previous errors.
>> pkg_add: tar extract of
>> /poudriere/data/packages/fbsd91_amd64_legacy-default/All/rsync-3.0.9_3.txz
>> failed!
>> pkg_add: unable to extract table of contents file from
>> '/poudriere/data/packages/fbsd91_amd64_legacy-
> default/All/rsync-3.0.9_3.txz'
>> - not a package?
>>
>>  In make config file:
>>
>> WITH_PKGNG=no
>> WITHOUT_X11=yes
>
> Try  WITHOUT_PKGNG=yes and see if it helps.
>
> -Mike
>

Thanks Mike. I have removed "WITH_PKGNG" line and it works and I can
build and install packages... but when I execute pkg_version:

root@fbsdtst:~ # pkg_version -v
perl-5.14.2_3                       ?   orphaned: lang/perl5.14
rsync-3.0.9_3                       ?   orphaned: net/rsync
zfs-stats-1.2.2                     ?   orphaned: sysutils/zfs-stats

Uhmm why these packages appears as oprhaned??



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?CAEjQA5LsjrPvNG-WAu1i67H+16FmAy4BVg1S8jgjazT5zTvPOw>